<?php

namespace Signteer\Core\Criteria;

class VolunteerCriteria
{
    private array $id = [];
    private array $title = [];
    private array $email = [];
    private array $phone = [];

    public function whereId(string $compare, $v): self
    {
        $ret = clone $this;
        $ret->id[] = [$compare, $v];

        return $ret;
    }

    public function getWhereId(): array
    {
        return $this->id;
    }

    public function whereTitle(string $compare, $v): self
    {
        $ret = clone $this;
        $ret->title[] = [$compare, $v];

        return $ret;
    }

    public function getWhereTitle(): array
    {
        return $this->title;
    }

    public function whereEmail(string $compare, $v): self
    {
        $ret = clone $this;
        $ret->email[] = [$compare, $v];

        return $ret;
    }

    public function getWhereEmail(): array
    {
        return $this->email;
    }

    public function wherePhone(string $compare, $v): self
    {
        $ret = clone $this;
        $ret->phone[] = [$compare, $v];

        return $ret;
    }

    public function getWherePhone(): array
    {
        return $this->phone;
    }
}
